# test.generic package — Python(P)DEVS-BBL documentation

# test.generic package

Tests for the generic building blocks.

class `test.generic.``Model`(nodes, connections)

  Bases: `pypdevs.DEVS.CoupledDEVS`

  Simple model constructor for the tests.

  Parameters:

  - nodes (iter) – An iterable with all submodels to add.
  - connections (iter) – An iterable with all port connections. Each entry is in the form of (from, to)

`test.generic.``simulate`(model, tt=None)

  Simulates the model.

  Parameters:

  - model (MModel) – The `Model` to simulate.
  - tt (numeric) – The termination time or `None` if no termination time needs to be set. Defaults to `None`.

## Submodules

- test.generic.test_collectors module
- test.generic.test_generators module
- test.generic.test_io module
- test.generic.test_math module
- test.generic.test_queues module
- test.generic.test_routing module
- test.generic.test_transformers module